cURL
curl --request PATCH \
--url https://app.teable.ai/api/template/%7BtemplateId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","categoryId":["string"],"cover":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"name":"string","id":"string","thumbnailPath":{"lg":"string","sm":"string"}},"isPublished":true,"featured":true,"isSystem":true,"baseId":"string","markdownDescription":"string"}'template
Patch template
update a template
PATCH
/
template
/
{templateId}
cURL
curl --request PATCH \
--url https://app.teable.ai/api/template/%7BtemplateId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","categoryId":["string"],"cover":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"name":"string","id":"string","thumbnailPath":{"lg":"string","sm":"string"}},"isPublished":true,"featured":true,"isSystem":true,"baseId":"string","markdownDescription":"string"}'Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
请求体
application/json
响应
201
Successfully update template.
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

